@charset "UTF-8";

body {
    font: 400 16px/1.8em "PingFangTC-Regular", Arial, Helvetica, "儷黑 Pro", "LiHei Pro", "微軟正黑體", "Microsoft JhengHei", sans-serif;
    color: #313131;
}

a {
    -webkit-transition: all ease .3s;
    -moz-transition: all ease .3s;
    -o-transition: all ease .3s;
    transition: all ease .3s;
}

.menu::-webkit-scrollbar-track {
    border-radius: 0;
    background-color: rgba(255, 255, 255, .8);
}

.menu::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: rgba(0, 0, 0, .7)
}

.menu::-webkit-scrollbar {
    width: 6px;
    background-color: transparent
}

header {
    background: #1c3e6b;
    position: relative;
    left: 0;
    top: 0;
    width: 100%;
    padding: 20px 0;
    z-index: 999;
    position: fixed;
}

header .container {
    padding: 0 15px;
}

header h1 {
    font-size: 3em;
    color: white;
    line-height: 120px;
    text-align: center;
    white-space: nowrap;
    margin: 0;
    -webkit-transition: all ease .3s;
    -moz-transition: all ease .3s;
    -o-transition: all ease .3s;
    transition: all ease .3s;
}

header.fixed {
    position: fixed;
    padding: 0;
}

header.fixed h1 {
    font-size: 1.5rem;
    margin: 0;
    line-height: 61px;
}

#navBtn {
    width: 60px;
    height: 60px;
    border-radius: 100%;
    position: fixed;
    background: none;
    left: 0;
    top: 0;
    border: 0;
    z-index: 1000;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
    outline: none;
}

#navBtn span {
    display: block;
    position: absolute;
    height: 5px;
    width: 40px;
    background: #fff;
    border-radius: 6px;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: all ease .3s;
    -moz-transition: all ease .3s;
    -o-transition: all ease .3s;
    transition: all ease .3s;
    left: 15px;
}

#navBtn span:nth-last-of-type(1) {
    top: 15px;
}

#navBtn span:nth-last-of-type(2) {
    top: 29px;
}

#navBtn span:nth-last-of-type(3) {
    top: 29px;
}

#navBtn span:nth-last-of-type(4) {
    top: 43px;
}

#navBtn.active span:nth-last-of-type(1) {
    top: 32px;
    width: 0%;
    left: 50%;
}

#navBtn.active span:nth-last-of-type(2) {
    top: 32px;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
    background: #333;
}

#navBtn.active span:nth-last-of-type(3) {
    top: 32px;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
    background: #333;
}

#navBtn.active span:nth-last-of-type(4) {
    top: 32px;
    width: 0%;
    left: 50%;
}

#fixMenu {
    position: fixed;
    left: 0;
    -webkit-transform: translateX(-240px);
    -moz-transform: translateX(-240px);
    -o-transform: translateX(-240px);
    -ms-transform: translateX(-240px);
    transform: translateX(-240px);
    -webkit-transition: all ease .3s;
    -moz-transition: all ease .3s;
    -o-transition: all ease .3s;
    transition: all ease .3s;
    top: 0;
    height: 100vh;
    width: 240px;
    background: #fff;
    z-index: 999;
    padding: 100px 0 20px 0;
}

#fixMenu.active {
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -o-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
}

#fixMenu .menu {
    height: calc(100vh - 100px);
    overflow-y: scroll;
    -webkit-overflow-scrolling: touch;
}

#fixMenu ol,
#fixMenu ul {
    margin: 0;
    padding: 0;
}

#fixMenu ul>li {
    padding: 0;
    list-style-type: none;
}

#fixMenu ul>li>a {
    border-top: 1px solid rgba(255, 255, 255, 0.2);
    display: block;
    padding: 10px 15px;
    color: #ff4081;
    position: relative;
    font-size: 1.4em;
}

#fixMenu ul>li>a.panelBtn {
    border-bottom: 1px solid #313131;
    border-top: 1px solid #313131;
}

#fixMenu ul>li>a.disable,
#fixMenu ol>li>a.disable,
#fixMenu ul>li>a.disable:hover,
#fixMenu ol>li>a.disable:hover {
    background: #313131;
    cursor: default;
}

#fixMenu ol {
    display: none;
}

#fixMenu ol>li {
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    padding: 0;
    list-style-type: none;
    position: relative;
    counter-increment: step-counter;
}

#fixMenu ol>li>a {
    display: block;
    padding: 10px 20px 10px 50px;
    color: #FFF;
    text-decoration: none;
    position: relative;
    line-height: 1.4rem;
    background: #0d4661;
}

#fixMenu ol>li>a::before {
    content: counter(step-counter);
    position: absolute;
    top: 10px;
    left: 32px;
    line-height: 1.4rem;
}

#fixMenu ol>li>a:hover,
#fixMenu ul>li>a:hover {
    /* background: #095579; */
    color: #043473;
}

#fixMenu ul>li>a.panelBtn:hover {
    background: #c1c1c1;
}

#fixMenu ol>li:last-child {
    border-bottom: none;
}

#fixMenu ol>li.active>a,
#fixMenu ul>li.active>a {
    background: #ececec;
}

#fixMenu.active::after {
    border-right: 12px solid #FFF;
    border-left: none;
}

h1 {
    font-size: 3em;
}

.wrapper {
    max-width: 1024px;
    margin: 0 auto;
    padding: 180px 15px 40px 15px;
    overflow: hidden;
}

.wrapper.index a {
    font-size: 1.5em;
}

.wrapper.index a:hover {
    color: #043473;
}

.index p {
    font-size: .95em;
    line-height: 1.8em;
}

.test {
    border: 3px solid #1D3F6B;
    padding: 20px;
}

.test p {
    font-size: 1.7em;
}

.test span {
    color: #0A57E5;
}

.code {
    background: #333;
    color: #FFF;
    border-radius: 3px;
}

.syntaxhighlighter {
    padding: 20px 0 !important;
}

.intro {
    background: #D7E3F4;
    padding: 20px;
    font-size: 1.05em;
    line-height: 1.8em;
}

.intro span {
    font-family: monospace;
    color: #C82C72;
    font-weight: 700
}

.intro em {
    color: #043473;
    font-weight: 700;
    font-style: normal;
}

.intro ul {
    margin: 0;
    padding: 0 0 0 25px;
}

.intro a {
    color: #043473;
    font-weight: 700
}

footer {
    border-top: 1px solid #313131;
}

footer .container {
    max-width: 1024px;
    margin: 0 auto;
    padding: 40px 15px;
}

.copyright {
    color: #313131;
    text-decoration: none;
}

#tag {
    position: fixed;
    right: 10px;
    bottom: 10px;
    width: 50px;
    height: 50px;
    -webkit-transition: all ease .3s;
    -moz-transition: all ease .3s;
    -o-transition: all ease .3s;
    transition: all ease .3s;
    background: rgba(239, 0, 0, 1);
    background: -moz-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: -webkit-gradient(left bottom, right top, color-stop(0%, rgba(239, 0, 0, 1)), color-stop(100%, rgba(14, 148, 192, 1)));
    background: -webkit-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: -o-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: -ms-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ef0000', endColorstr='#0e94c0', GradientType=1);
    display: block;
    z-index: 10000;
    border-radius: 100%;
}

#tag span {
    display: block;
    width: 100%;
    height: 100%;
    background: url(http://test.domojyun.net/MEMO/tag.png) center center/80% auto no-repeat;
    text-indent: -9999px;
}

@media(max-width:768px) {
    header,
    header.fixed {
        padding: 15px 0 15px 30px;
        position: fixed;
    }
    header h1,
    header.fixed h1 {
        font-size: 1.8rem;
        white-space: normal;
        line-height: 2.1rem;
    }
    #navBtn {
        width: 60px;
        height: 60px;
        left: 0;
        top: 0;
    }
    #navBtn span {
        left: 13px;
        height: 4px;
        width: 34px;
    }
    #navBtn span:nth-last-of-type(1) {
        top: 18px;
    }
    #navBtn span:nth-last-of-type(2) {
        top: 28px;
    }
    #navBtn span:nth-last-of-type(3) {
        top: 28px;
    }
    #navBtn span:nth-last-of-type(4) {
        top: 38px;
    }
    #navBtn.active span:nth-last-of-type(1),
    #navBtn.active span:nth-last-of-type(2),
    #navBtn.active span:nth-last-of-type(3),
    #navBtn.active span:nth-last-of-type(4) {
        top: 28px;
    }
    .wrapper {
        padding-top: 100px;
    }
    .wrapper h2{
        font-size: 2.4rem;
        margin: 0;
    }
}